Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033165
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-06-06 17:342016-06-17 19:38
ReporterngarciaView Statuspublic 
Assigned ToSanjota 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisione6e019dabbbb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033165: Improve Create Shipments From Orders message allowing negative stock and not having stock of product with mandatory attribute

DescriptionImprove Create Shipments From Orders message allowing negative stock and not having stock of product with mandatory attribute
Steps To ReproduceAs group admin role:
   Set Allow Negative Stock at Client level
   Create an Attribute Set
   Set it as Lot and Require At Least One Value
   Create a Product and assign the previously created attribute set
   Add a sales price list to it
   Create a Sales Order, add the previously created product and book it
   Go to Create Shipments From Orders window and select the previously created order
   The following error is shown:
      Error: In line 10 the product has no attribute set
   The line number shown is the line number of the shipment is trying to create. It is not possible to know which product does not have stock
Proposed SolutionIn M_InOut_Post, when throwing productWithoutAttributeSet error, in case M_InOutLine has related C_OrderLine, instead of showing following error:
"In line <M_InOutLine.line> the product has no attribute set",
show the following one:
"In line <M_InOutLine.line> the product has no attribute set: Order <C_Order.documentno> line <C_OrderLine.line>.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0087117)
Sanjota (developer)
2016-06-09 13:31
edited on: 2016-06-15 11:12

Test Plan
As group admin role:
   * Set Allow Negative Stock at Client level
   * Create an Attribute Set
     Set it as Lot and Require At Least One Value
   * Create a Product and assign the previously created attribute set
   * Add a sales price list to it
   * Create a Sales Order, add the previously created product and book it
   * Go to Create Shipments From Orders window and select the previously created order
   Observe that the error message contains inoutlineNo with order no and orderlineNo.
Example : "In line <M_InOutLine.line> the product has no attribute set: Order <C_Order.documentno> Orderline <C_OrderLine.line>.

(0087293)
psanjuan (manager)
2016-06-15 11:06
edited on: 2016-06-15 11:30

Issue here is that if the user selects more than one order to create shipments from, and there is at least one order including a product that requires an attribute set, no shipment will be created and besides that the error shown is not intuitive as it does not detail the order which includes a product that requires an attribute set.

Besides the above, it is not possible to run this process "Create Shipments from Orders" for those orders which does include a product (s) which requires an attribute set.

Proposed solution:

Correct message should be

"In line <M_InOutLine.line> the product has no attribute set. Line related to Order <C_Order.documentno> and Orderline <C_OrderLine.line>".

(0087336)
hgbot (developer)
2016-06-16 11:20

Repository: erp/devel/pi
Changeset: e6e019dabbbb961a143a656be78879672a46124e
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Wed Jun 15 16:55:44 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e6e019dabbbb961a143a656be78879672a46124e [^]

Fixes issue 33165: Improve attribute error message when processing a shipment

Give related order and order line information when throwing productWithoutAttributeSet error message to be able to know which order line is wrong when generating a shipment from Create Shipments From Orders window.

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0087337)
hgbot (developer)
2016-06-16 11:20

Repository: erp/devel/pi
Changeset: e67484476dfddf9478d3313ed5af1bca1ab90548
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Jun 16 11:17:08 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e67484476dfddf9478d3313ed5af1bca1ab90548 [^]

Related to issue 33165: Code review improvements

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0087338)
aferraz (developer)
2016-06-16 11:21

Code review + Testing OK
(0087628)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087629)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-06 17:34 ngarcia New Issue
2016-06-06 17:34 ngarcia Assigned To => Triage Finance
2016-06-06 17:34 ngarcia Modules => Core
2016-06-06 17:34 ngarcia Triggers an Emergency Pack => No
2016-06-06 17:34 ngarcia Issue Monitored: networkb
2016-06-07 11:14 aferraz Assigned To Triage Finance => Sanjota
2016-06-07 11:36 aferraz Proposed Solution updated
2016-06-08 17:10 Sanjota Status new => scheduled
2016-06-09 13:31 Sanjota Note Added: 0087117
2016-06-15 11:06 psanjuan Note Added: 0087293
2016-06-15 11:07 psanjuan Note Edited: 0087293 View Revisions
2016-06-15 11:12 psanjuan Note Edited: 0087293 View Revisions
2016-06-15 11:12 psanjuan Note Edited: 0087117 View Revisions
2016-06-15 11:15 psanjuan Note Edited: 0087293 View Revisions
2016-06-15 11:27 psanjuan Note Edited: 0087293 View Revisions
2016-06-15 11:30 psanjuan Note Edited: 0087293 View Revisions
2016-06-16 11:20 hgbot Checkin
2016-06-16 11:20 hgbot Note Added: 0087336
2016-06-16 11:20 hgbot Status scheduled => resolved
2016-06-16 11:20 hgbot Resolution open => fixed
2016-06-16 11:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e6e019dabbbb961a143a656be78879672a46124e [^]
2016-06-16 11:20 hgbot Checkin
2016-06-16 11:20 hgbot Note Added: 0087337
2016-06-16 11:21 aferraz Review Assigned To => aferraz
2016-06-16 11:21 aferraz Note Added: 0087338
2016-06-16 11:21 aferraz Status resolved => closed
2016-06-16 11:21 aferraz Fixed in Version => 3.0PR16Q3
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087628
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087629


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker